/*
SPACING SYSTEM (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128

FONT SIZE SYSTEM (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98
*/
:root {
  --pr1--clr: #44787f;
  --pr--clr: #88a8ae;
  --se--clr: #4e8a94;

  --ft--clr: #250b14;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  font-size: 62.5%;
}
body {
  scroll-behavior: smooth;
  font-family: "Indie Flower", cursive;
  overflow-x: hidden;
  position: relative;
  max-width: 100vw;
}
main {
  position: relative;
}

main .scrol-up-btn {
  position: fixed;
  bottom: 3vw;
  right: 3vw;
  width: 3vw;
  height: 3vw;
  padding: 0.5vw;
  color: white;
  background-color: black;
  border-radius: 50%;
  cursor: pointer;
  z-index: 4;
}
nav {
  height: 9.2vw;
  display: flex;
  align-items: center;
  justify-content: space-around;
  /* background-color: rgb(0, 0, 0); */
  font-size: 2.24vw;
  z-index: 4;
  position: fixed;
  max-width: 100vw;
}
.menu {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.menu ul {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.menu ul li {
  list-style: none;
  display: block;
  padding: 1.6vw 3.2vw;
  color: var(--ft--clr);
  cursor: pointer;
}
.logo-col {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: 600;
  cursor: pointer;
}
.grid-2-col {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2vw;
}
.flex-row {
  display: flex;
  font-display: row;
  justify-content: center;
  align-items: center;
}
.flex {
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.search {
  width: 2.4vw;
}
.hero-flex {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100vw;
  height: 100vh;
}
.hero-flex h1 {
  padding-top: 10vw;
  font-size: 6.2vw;
  color: var(--ft--clr);
  z-index: 3;
}
.hero-flex p {
  font-size: 3.2vw;
  color: var(--ft--clr);
  width: 80vw;

  z-index: 3;
}
.hero-btn {
  font-size: 3.2vw;
  color: white;
  background-color: #2b1610;
  text-decoration: none;
  padding: 0.8vw 3vw;
  border: 1px solid white;
  border-radius: 5%;
}
.hero-btn:hover {
  color: black;
  background-color: #fff;
}

.hero {
  height: 150vh;

  position: relative;
}
.section-3 {
  min-height: 50vh;
  background: url(../img/3.png) no-repeat;
  background-size: cover;
  padding: 10vw 10vw;
  color: #fff;
  z-index: 3;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  /* position: relative; */
}

.hero::before {
  position: absolute;
  content: "";
  bottom: 0;
  height: 100px;
  width: 100%;
  /* background: linear-gradient(to top, var(--pr1--clr), transparent); */
  z-index: 0;
}

.s4-title {
  font-size: 2.4vw;
}
.s4-description {
  font-size: 1.6vw;
  width: 80%;
}
.moon {
  position: absolute;
  top: 0%;
  left: 52.5%;
  z-index: 1;
  width: 25vw;
  mix-blend-mode: hard-light;
}
.mountain {
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: 2;
  height: auto;
  width: 100%;
  height: 150vh;
  object-fit: cover;
  /* transform: rotate(180deg); */
}
.star {
  position: absolute;
  top: 0;
  z-index: -2;
  height: auto;
  width: 100%;
  height: 150vh;
  object-fit: cover;
  /* background: var(--pr1--clr);
  mix-blend-mode: screen; */
}
.section-4 {
  height: fit-content;
  width: 100%;
  height: 150vh;
  background: url(../img/bg3.png) no-repeat;
  backdrop-filter: inherit;
  background-size: cover;
}
.slider {
  max-width: 100vw;
  height: 50vw;
  margin: 0 auto;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  /* IN THE END */
  overflow: hidden;
}
.slide {
  position: absolute;
  top: 0;
  width: 100%;
  height: 50vw;

  display: flex;
  align-items: center;
  justify-content: center;

  /* THIS creates the animation! */
  transition: transform 1s;
}
.carousel-btn-left {
  font-size: 10vw;
  z-index: 1;
  left: 0;
  top: 50%;
  position: absolute;
  cursor: pointer;
}
.carousel-btn-right {
  font-size: 10vw;
  z-index: 1;
  right: 0;
  top: 50%;
  position: absolute;
  cursor: pointer;
}
.flex {
  display: flex;
  align-items: center;
  justify-content: center;
}
/* #music {
  display: none;
} */
@media only screen and (max-width: 749px) {
  .flex-row {
    flex-wrap: wrap;
  }
}
